# Installs in dir /usr
%define prefix /usr

%global selinuxtype	targeted
%global moduletype	services
%global modulename	conntrack_cacti

# Version of distribution SELinux policy package 
%global _selinux_policy_version 3.13.1-268.el7_9.2

Summary: collects netfilter conntrack statistics for use by snmpd
Name: conntrack_cacti
Version: 1.0.2
Release: 1%{?dist}
Source0: conntrack_cacti-%{version}.tar.gz
Group: Networking/Admin
License: GNU GENERAL PUBLIC LICENSE Version 2
URL: ftp://ics.p.lodz.pl/pub/unix/system/conntrack_cacti
Vendor:  Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot: /var/tmp/conntrack_cacti-%{version}.root
Requires: libnetfilter_conntrack
BuildRequires: libnetfilter_conntrack-devel
%if "%{?pld_release}" == "th" || 0%{?rhel} >= 8 || 0%{?fedora} >=30
Suggests: net-snmp
%endif
%if 0%{?rhel:1}%{?fedora:1}
BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
%{?selinux_requires}
%endif

%description
This program collects netfilter conntrack statistics for use by snmpd

%prep
%setup
./configure --with-install-root=$RPM_BUILD_ROOT --prefix=$RPM_BUILD_ROOT/%prefix

%build
make
%if 0%{?rhel:1}%{?fedora:1}
make -f /usr/share/selinux/devel/Makefile -C selinux-policy
%endif

%install
make install
%if 0%{?rhel:1}%{?fedora:1}
install -d %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}
install -m 0644 selinux-policy/%{modulename}.pp* %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}
%endif
rm -rf $RPM_BUILD_ROOT%prefix/share/doc/conntrack_cacti

%if 0%{?rhel:1}%{?fedora:1}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp*

%postun
%selinux_modules_uninstall -s %{selinuxtype} %{modulename}

%endif

%files
%doc AUTHORS LICENSE INSTALL README.md NEWS
%attr(4711,root,root) %prefix/sbin/conntrack_cacti
%if 0%{?rhel:1}%{?fedora:1}
%{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp*
%ghost %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}
%endif
